/// class PD.Web.UI.Controls.Template
/// using PD.Web.UI.Controls.CommandItem

PD.Web.UI.Controls.Template =
PD.Web.UI.Controls.CommandItem.extend({

    //===================================
    // PUBLIC METHODS
    //===================================
    
    template: function () {
        return null;
    },
    
    overflowTemplate: function () {
        return null;
    },

    getSettings: function () {

        var result = {
            template: this.template(),
            overflowTemplate: this.overflowTemplate(),
            id: this.data("id"),
            enable: this.data("enable"),
            overflow: this.data("overflow"),
            attributes: {
                "data-id": this.data("id"),
                "title": this.data("tooltip"),
                "class": (this.data("text") === "" ? "-pd-no-text" : "")
            }
        }

        return result;

    }

});